- name: show proxy config
  debug:
    var: item
    verbosity: 1
  with_items: "{{ cloudstack.plugins[plugin]['proxy'] }}"

- name: starting proxy
  include_role:
    name: helpers/k8s_port_forward
  vars:
    target: "{{ item.target }}"
    local_port: "{{item.local_port}}"
    remote_port: "{{item.remote_port}}"
    result_var: "port_forward_{{ proxy_index }}"
  with_items: "{{ cloudstack.plugins[plugin]['proxy'] }}"
  loop_control:
    index_var: proxy_index

- name: showing status
  debug:
    msg: "Started proxy for {{ item.target }} on http://localhost:{{ item.local_port }}"
  with_items: "{{ cloudstack.plugins[plugin]['proxy'] }}"
  loop_control:
    index_var: proxy_index

- name: running proxy
  pause:
    prompt: "Running proxy. Press ENTER to exit"

- name: end proxy
  meta: end_play
